Rename organization
curl --request PUT \
--url https://api.sand.etherfuse.com/ramp/organization/{org_id}/name \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "Acme Inc"
}
'const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({displayName: 'Acme Inc'})
};
fetch('https://api.sand.etherfuse.com/ramp/organization/{org_id}/name', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sand.etherfuse.com/ramp/organization/{org_id}/name"
payload = { "displayName": "Acme Inc" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"displayName": "Acme Inc",
"organizationId": "123e4567-e89b-12d3-a456-426614174000"
}Organizations
Rename organization
Renames the caller’s own organization or a direct child organization. The caller’s organization is resolved from the API key.
The target org_id must be either the caller’s own organization, or a direct child
organization (where parent_organization_id equals the caller’s org). Grandchild
organizations cannot be renamed through this endpoint.
PUT
/
ramp
/
organization
/
{org_id}
/
name
Rename organization
curl --request PUT \
--url https://api.sand.etherfuse.com/ramp/organization/{org_id}/name \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "Acme Inc"
}
'const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({displayName: 'Acme Inc'})
};
fetch('https://api.sand.etherfuse.com/ramp/organization/{org_id}/name', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sand.etherfuse.com/ramp/organization/{org_id}/name"
payload = { "displayName": "Acme Inc" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"displayName": "Acme Inc",
"organizationId": "123e4567-e89b-12d3-a456-426614174000"
}Authorizations
API key sent in the Authorization header.
Path Parameters
The organization to rename — must be the caller's own org or a direct child (grandchildren cannot be renamed).
Body
application/json